%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:           gestikk
Version:        0.6.1
Release:        7%{?dist}
Summary:        Use mouse gestures to control your PC

Group:          Applications/System
License:        GPLv2+ and MIT
URL:            http://%{name}.reichbier.de/
Source0:        http://%{name}.reichbier.de/downloads/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext desktop-file-utils python
Requires:       pygtk2 >= 2.12
Requires:       notify-python
Requires:       python-kiwi
Requires:       python-virtkey
Requires:       pyparsing >= 1.4.7

%description
gestikk is a Python application for nearly all netwm-conforming window
managers.  It recognizes predefined mouse gestures and executes defined actions
in response.  For example, with the gesture "down - left", you could run
Firefox or simulate a window manager keyboard shortcut.

%prep
%setup -q
sed -i -e "s@'icon':'/usr/share/icons'@'icon':'/usr/share/pixmaps'@" %{name}/tools.py

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -pm 644 %{name}.glade $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 644 media/%{name}.* $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -pm 644 %{name}/* $RPM_BUILD_ROOT%{python_sitelib}/%{name}/
install -pm 755 %{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -rp locale $RPM_BUILD_ROOT%{_datadir}
chmod 755 $RPM_BUILD_ROOT%{python_sitelib}/%{name}/start_main.py

desktop-file-install --vendor="" \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
  %{SOURCE1}


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE README TRANSLATORS
%dir %{_datadir}/%{name}
%dir %{python_sitelib}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/pixmaps/%{name}.*
%{python_sitelib}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%exclude %{_datadir}/locale/de/LC_MESSAGES/%{name}.po


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.6.1-4
- Fix desktop file
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Tue Feb 10 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.6.1-2
- Added python in buildrequiers
- License fix
- Summary and description update
* Tue Jul 29 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.6.1-1
- initial build 
